Subject: Re: [IPFIX] [IANA #493526] Re: General Request for Assignment (ipfix)

From: Nevil Brownlee <[email-masked]>
Date: Fri, 14 Oct 2011 09:50:05 +1300

Hi Amanda:

I agree with Paul, natType would be a more consistent name for
that Information Element.

Cheers, Nevil

On 13/10/11 10:23 PM, Paul Aitken wrote:
> Amanda,
>
>> Hi Paul,
>>
>> These changes are complete:
>>
>> http://www.iana.org/assignments/ipfix
>
> Thanks for that.
>
> Two points:
>
>
> 1. I suspect that the name should be "natType" rather than "NATtype",
> for consistency with existing fields such as
> "natOriginatingAddressRealm", "natEvent", "natPoolID", and "natPoolName".
>
>
> 2. Unfortunately the description appears flat like so:
>
> The type of NAT treatment: 0 unknown 1 NAT44 translated 2 NAT64
> translated 3 NAT46
> translated 4 IPv4-->IPv4 (no NAT) 5 NAT66 translated 6 IPv6-->IPv6
> (no NAT)
>
> - so the separation of the items is lost, and it's not at all clear that
> this is an enumerated list.
>
> Could you make it appear like so?:
>
> The type of NAT treatment:
> 0 unknown
> 1 NAT44 translated
> 2 NAT64 translated
> 3 NAT46 translated
> 4 IPv4-->IPv4 (no NAT)
> 5 NAT66 translated
> 6 IPv6-->IPv6 (no NAT)
>
>
> Fields 229, 230, 233, and 277 would benefit from a similar improvement.
>
> I envisage each of these as an extensible list, so new values can be
> added in future.
> eg, NAT444 may be appended to the NAT type - see draft-shirasaki-nat444.
>
> Thanks,
> P.
>
>

-- 
---------------------------------------------------------------------
  Nevil Brownlee                    Computer Science Department | ITS
  Phone: +64 9 373 7599 x88941             The University of Auckland
  FAX: +64 9 373 7453   Private Bag 92019, Auckland 1142, New Zealand